# Pollen API

The Pollen API.

- [REST Resource: v1.forecast](https://developers.google.com/maps/documentation/pollen/reference/rest#v1.forecast)
- [REST Resource: v1.mapTypes.heatmapTiles](https://developers.google.com/maps/documentation/pollen/reference/rest#v1.mapTypes.heatmapTiles)

## Service: pollen.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://pollen.googleapis.com`

## REST Resource: [v1.forecast](https://developers.google.com/maps/documentation/pollen/reference/rest/v1/forecast)

| Methods ||
|---|---|
| `https://developers.google.com/maps/documentation/pollen/reference/rest/v1/forecast/lookup` | `GET /v1/forecast:lookup` Returns up to 5 days of daily pollen information in more than 65 countries, up to 1km resolution. |

## REST Resource: [v1.mapTypes.heatmapTiles](https://developers.google.com/maps/documentation/pollen/reference/rest/v1/mapTypes.heatmapTiles)

| Methods ||
|---|---|
| `https://developers.google.com/maps/documentation/pollen/reference/rest/v1/mapTypes.heatmapTiles/lookupHeatmapTile` | `GET /v1/mapTypes/{mapType}/heatmapTiles/{zoom}/{x}/{y}` Returns a byte array containing the data of the tile PNG image. |